<html>
<head>
<title>Ogre::MapIteratorWrapper&lt; T, IteratorType &gt; Class Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1MapIteratorWrapper.html">MapIteratorWrapper</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::MapIteratorWrapper&lt; T, IteratorType &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::MapIteratorWrapper" --><!-- doxytag: inherits="IteratorWrapper&lt; T, IteratorType, T::mapped_type &gt;" -->
<p>Prepiared <a class="el" href="classOgre_1_1IteratorWrapper.html" title="Basefunctionality for IteratorWrappers.">IteratorWrapper</a> for key-value container.  
 <a href="classOgre_1_1MapIteratorWrapper.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::MapIteratorWrapper&lt; T, IteratorType &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1MapIteratorWrapper__inherit__graph.gif" border="0" usemap="#Ogre_1_1MapIteratorWrapper_3_01T_00_01IteratorType_01_4_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1MapIteratorWrapper_3_01T_00_01IteratorType_01_4_inherit__map" id="Ogre_1_1MapIteratorWrapper_3_01T_00_01IteratorType_01_4_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1IteratorWrapper.html" title="Ogre::IteratorWrapper\&lt; T, IteratorType, T::mapped_type \&gt;" alt="" coords="5,5,365,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1MapIteratorWrapper-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1IteratorWrapper.html">IteratorWrapper</a>&lt; T, <br class="typebreak"/>
IteratorType, typename <br class="typebreak"/>
T::mapped_type &gt;::<a class="el" href="classOgre_1_1MapIteratorWrapper.html#a64c1d671b06f5048b9c2b93d51bda810">ValueType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MapIteratorWrapper.html#a64c1d671b06f5048b9c2b93d51bda810">ValueType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">redefined ValueType for a map/set  <a href="#a64c1d671b06f5048b9c2b93d51bda810"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1IteratorWrapper.html">IteratorWrapper</a>&lt; T, <br class="typebreak"/>
IteratorType, typename <br class="typebreak"/>
T::mapped_type &gt;::<a class="el" href="classOgre_1_1MapIteratorWrapper.html#ae8c56194816a6ebc9fd8005ed8c8cdde">PointerType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MapIteratorWrapper.html#ae8c56194816a6ebc9fd8005ed8c8cdde">PointerType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">redefined PointerType for a map/set  <a href="#ae8c56194816a6ebc9fd8005ed8c8cdde"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef T::value_type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MapIteratorWrapper.html#a9853756cc9d465e44272d69643d2c5ed">PairType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">unused, just to make it clear that map/set::value_type is not a ValueType  <a href="#a9853756cc9d465e44272d69643d2c5ed"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef T::key_type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MapIteratorWrapper.html#aba5a8ef400da4e0338f9b257727e9377">KeyType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">type you expect to get by funktions like peekNextKey  <a href="#aba5a8ef400da4e0338f9b257727e9377"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef IteratorType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#a22c1c22fab97253a922a190d2ace205e">iterator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">typedef to fulfill container interface  <a href="#a22c1c22fab97253a922a190d2ace205e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef IteratorType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#a704ce78ef948a2730b4774b4ba0cea69">const_iterator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">typedef to fulfill container interface  <a href="#a704ce78ef948a2730b4774b4ba0cea69"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MapIteratorWrapper.html#a3ae82a852790d4ccf429958639672765">MapIteratorWrapper</a> (IteratorType start, IteratorType last)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a3ae82a852790d4ccf429958639672765"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1MapIteratorWrapper.html#aba5a8ef400da4e0338f9b257727e9377">KeyType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MapIteratorWrapper.html#a0d526f75afc53f81358876237927bf54">peekNextKey</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the next(=current) key element in the collection, without advancing to the next.  <a href="#a0d526f75afc53f81358876237927bf54"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1MapIteratorWrapper.html#a64c1d671b06f5048b9c2b93d51bda810">ValueType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MapIteratorWrapper.html#a2e53278aea844de2e45a0386596f4d7f">peekNextValue</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the next(=current) value element in the collection, without advancing to the next.  <a href="#a2e53278aea844de2e45a0386596f4d7f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1MapIteratorWrapper.html#ae8c56194816a6ebc9fd8005ed8c8cdde">PointerType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MapIteratorWrapper.html#a31d2cda085c2efe14df9fb16918027e9">peekNextValuePtr</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a pointer to the next/current value element in the collection, without advancing to the next afterwards.  <a href="#a31d2cda085c2efe14df9fb16918027e9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1MapIteratorWrapper.html#a64c1d671b06f5048b9c2b93d51bda810">ValueType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MapIteratorWrapper.html#a2bef2d340ae00274856261b3ad3dcdbc">getNext</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the next(=current) value element in the collection, and advances to the next.  <a href="#a2bef2d340ae00274856261b3ad3dcdbc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#a468ebc8ca34585ed3ef17a432ee22704">hasMoreElements</a> () const</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if there are more items in the collection.  <a href="#a468ebc8ca34585ed3ef17a432ee22704"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#aaf01f897bea391797dc2bb9fb8374a5f">moveNext</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Moves the iterator on one element.  <a href="#aaf01f897bea391797dc2bb9fb8374a5f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const IteratorType &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#acfb61cec43a0da5ae1b7c6ee6274498d">begin</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">bookmark to the begin of the underlying collection  <a href="#acfb61cec43a0da5ae1b7c6ee6274498d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IteratorType &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#ab2daa0557a06aebd61686b13c865b6c0">current</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">full access to the current iterator  <a href="#ab2daa0557a06aebd61686b13c865b6c0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const IteratorType &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#a0fd0df9bbfe0fc16939600b37de81739">end</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">bookmark to the end (one behind the last element) of the underlying collection  <a href="#a0fd0df9bbfe0fc16939600b37de81739"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IteratorType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#aecdc604f73f00133d4f934a94913b468">mBegin</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IteratorType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#ab46be8c170cbc9046a81784b463534b9">mCurrent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IteratorType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#ad6beeb6fcd8840f4fcb30b3363c3552d">mEnd</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename T, typename IteratorType&gt;<br/>
class Ogre::MapIteratorWrapper&lt; T, IteratorType &gt;</h3>

<p>Prepiared <a class="el" href="classOgre_1_1IteratorWrapper.html" title="Basefunctionality for IteratorWrappers.">IteratorWrapper</a> for key-value container. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">T</td><td>Container (map - or also set ) </td></tr>
    <tr><td class="paramname">IteratorType</td><td>T::iterator or T::const_iterator</td></tr>
  </table>
  </dd>
</dl>
<p>have a look at <a class="el" href="classOgre_1_1MapIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying key-value container.">MapIterator</a> and <a class="el" href="classOgre_1_1ConstMapIterator.html" title="Concrete IteratorWrapper for const access to the underlying key-value container.">ConstMapIterator</a> for a concrete usage </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00255">255</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a704ce78ef948a2730b4774b4ba0cea69"></a><!-- doxytag: member="Ogre::MapIteratorWrapper::const_iterator" ref="a704ce78ef948a2730b4774b4ba0cea69" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef IteratorType <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, T::mapped_type  &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#a704ce78ef948a2730b4774b4ba0cea69">const_iterator</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>typedef to fulfill container interface </p>
<p>Userfull if you want to use BOOST_FOREACH </p>
<dl class="note"><dt><b>Note:</b></dt><dd>there is no distinction between const_iterator and iterator. <br/>
 keep this in mind if you want to derivate from this class. </dd></dl>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00082">82</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<a class="anchor" id="a22c1c22fab97253a922a190d2ace205e"></a><!-- doxytag: member="Ogre::MapIteratorWrapper::iterator" ref="a22c1c22fab97253a922a190d2ace205e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef IteratorType <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, T::mapped_type  &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#a22c1c22fab97253a922a190d2ace205e">iterator</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>typedef to fulfill container interface </p>
<p>Userfull if you want to use BOOST_FOREACH </p>
<dl class="note"><dt><b>Note:</b></dt><dd>there is no distinction between const_iterator and iterator. <br/>
 keep this in mind if you want to derivate from this class. </dd></dl>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00073">73</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<a class="anchor" id="aba5a8ef400da4e0338f9b257727e9377"></a><!-- doxytag: member="Ogre::MapIteratorWrapper::KeyType" ref="aba5a8ef400da4e0338f9b257727e9377" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef T::key_type <a class="el" href="classOgre_1_1MapIteratorWrapper.html">Ogre::MapIteratorWrapper</a>&lt; T, IteratorType &gt;::<a class="el" href="classOgre_1_1MapIteratorWrapper.html#aba5a8ef400da4e0338f9b257727e9377">KeyType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>type you expect to get by funktions like peekNextKey </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00267">267</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9853756cc9d465e44272d69643d2c5ed"></a><!-- doxytag: member="Ogre::MapIteratorWrapper::PairType" ref="a9853756cc9d465e44272d69643d2c5ed" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef T::value_type <a class="el" href="classOgre_1_1MapIteratorWrapper.html">Ogre::MapIteratorWrapper</a>&lt; T, IteratorType &gt;::<a class="el" href="classOgre_1_1MapIteratorWrapper.html#a9853756cc9d465e44272d69643d2c5ed">PairType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>unused, just to make it clear that map/set::value_type is not a ValueType </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00265">265</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae8c56194816a6ebc9fd8005ed8c8cdde"></a><!-- doxytag: member="Ogre::MapIteratorWrapper::PointerType" ref="ae8c56194816a6ebc9fd8005ed8c8cdde" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1IteratorWrapper.html">IteratorWrapper</a>&lt;T, IteratorType, typename T::mapped_type&gt;::<a class="el" href="classOgre_1_1MapIteratorWrapper.html#ae8c56194816a6ebc9fd8005ed8c8cdde">PointerType</a> <a class="el" href="classOgre_1_1MapIteratorWrapper.html">Ogre::MapIteratorWrapper</a>&lt; T, IteratorType &gt;::<a class="el" href="classOgre_1_1MapIteratorWrapper.html#ae8c56194816a6ebc9fd8005ed8c8cdde">PointerType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>redefined PointerType for a map/set </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1IteratorWrapper.html#a72bb580445cd26d668677e159b692d4f">Ogre::IteratorWrapper&lt; T, IteratorType, T::mapped_type &gt;</a>.</p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00262">262</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<a class="anchor" id="a64c1d671b06f5048b9c2b93d51bda810"></a><!-- doxytag: member="Ogre::MapIteratorWrapper::ValueType" ref="a64c1d671b06f5048b9c2b93d51bda810" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1IteratorWrapper.html">IteratorWrapper</a>&lt;T, IteratorType, typename T::mapped_type&gt;::<a class="el" href="classOgre_1_1MapIteratorWrapper.html#a64c1d671b06f5048b9c2b93d51bda810">ValueType</a> <a class="el" href="classOgre_1_1MapIteratorWrapper.html">Ogre::MapIteratorWrapper</a>&lt; T, IteratorType &gt;::<a class="el" href="classOgre_1_1MapIteratorWrapper.html#a64c1d671b06f5048b9c2b93d51bda810">ValueType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>redefined ValueType for a map/set </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1IteratorWrapper.html#a72df6843478e277b8dde180081156b98">Ogre::IteratorWrapper&lt; T, IteratorType, T::mapped_type &gt;</a>.</p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00260">260</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a3ae82a852790d4ccf429958639672765"></a><!-- doxytag: member="Ogre::MapIteratorWrapper::MapIteratorWrapper" ref="a3ae82a852790d4ccf429958639672765" args="(IteratorType start, IteratorType last)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MapIteratorWrapper.html">Ogre::MapIteratorWrapper</a>&lt; T, IteratorType &gt;::<a class="el" href="classOgre_1_1MapIteratorWrapper.html">MapIteratorWrapper</a> </td>
          <td>(</td>
          <td class="paramtype">IteratorType&#160;</td>
          <td class="paramname"><em>start</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">IteratorType&#160;</td>
          <td class="paramname"><em>last</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Provide a start and end iterator to initialise. </dd></dl>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00273">273</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="acfb61cec43a0da5ae1b7c6ee6274498d"></a><!-- doxytag: member="Ogre::MapIteratorWrapper::begin" ref="acfb61cec43a0da5ae1b7c6ee6274498d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const IteratorType&amp; <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, T::mapped_type  &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#acfb61cec43a0da5ae1b7c6ee6274498d">begin</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>bookmark to the begin of the underlying collection </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00112">112</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

<p>References <a class="el" href="OgreIteratorWrapper_8h_source.html#l00054">Ogre::IteratorWrapper&lt; T, IteratorType, ValType &gt;::mBegin</a>.</p>

</div>
</div>
<a class="anchor" id="ab2daa0557a06aebd61686b13c865b6c0"></a><!-- doxytag: member="Ogre::MapIteratorWrapper::current" ref="ab2daa0557a06aebd61686b13c865b6c0" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IteratorType&amp; <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, T::mapped_type  &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#ab2daa0557a06aebd61686b13c865b6c0">current</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>full access to the current iterator </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00116">116</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

<p>References <a class="el" href="OgreIteratorWrapper_8h_source.html#l00055">Ogre::IteratorWrapper&lt; T, IteratorType, ValType &gt;::mCurrent</a>.</p>

</div>
</div>
<a class="anchor" id="a0fd0df9bbfe0fc16939600b37de81739"></a><!-- doxytag: member="Ogre::MapIteratorWrapper::end" ref="a0fd0df9bbfe0fc16939600b37de81739" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const IteratorType&amp; <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, T::mapped_type  &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#a0fd0df9bbfe0fc16939600b37de81739">end</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>bookmark to the end (one behind the last element) of the underlying collection </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00119">119</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

<p>References <a class="el" href="OgreIteratorWrapper_8h_source.html#l00056">Ogre::IteratorWrapper&lt; T, IteratorType, ValType &gt;::mEnd</a>.</p>

</div>
</div>
<a class="anchor" id="a2bef2d340ae00274856261b3ad3dcdbc"></a><!-- doxytag: member="Ogre::MapIteratorWrapper::getNext" ref="a2bef2d340ae00274856261b3ad3dcdbc" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MapIteratorWrapper.html#a64c1d671b06f5048b9c2b93d51bda810">ValueType</a> <a class="el" href="classOgre_1_1MapIteratorWrapper.html">Ogre::MapIteratorWrapper</a>&lt; T, IteratorType &gt;::<a class="el" href="classOgre_1_1MapIteratorWrapper.html#a2bef2d340ae00274856261b3ad3dcdbc">getNext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the next(=current) value element in the collection, and advances to the next. </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00301">301</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00687">Ogre::RenderQueueGroup::merge()</a>.</p>

</div>
</div>
<a class="anchor" id="a468ebc8ca34585ed3ef17a432ee22704"></a><!-- doxytag: member="Ogre::MapIteratorWrapper::hasMoreElements" ref="a468ebc8ca34585ed3ef17a432ee22704" args="() const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, T::mapped_type  &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#a468ebc8ca34585ed3ef17a432ee22704">hasMoreElements</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns true if there are more items in the collection. </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00099">99</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

<p>References <a class="el" href="OgreIteratorWrapper_8h_source.html#l00055">Ogre::IteratorWrapper&lt; T, IteratorType, ValType &gt;::mCurrent</a>, and <a class="el" href="OgreIteratorWrapper_8h_source.html#l00056">Ogre::IteratorWrapper&lt; T, IteratorType, ValType &gt;::mEnd</a>.</p>

</div>
</div>
<a class="anchor" id="aaf01f897bea391797dc2bb9fb8374a5f"></a><!-- doxytag: member="Ogre::MapIteratorWrapper::moveNext" ref="aaf01f897bea391797dc2bb9fb8374a5f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, T::mapped_type  &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#aaf01f897bea391797dc2bb9fb8374a5f">moveNext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Moves the iterator on one element. </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00106">106</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

<p>References <a class="el" href="OgreIteratorWrapper_8h_source.html#l00055">Ogre::IteratorWrapper&lt; T, IteratorType, ValType &gt;::mCurrent</a>.</p>

</div>
</div>
<a class="anchor" id="a0d526f75afc53f81358876237927bf54"></a><!-- doxytag: member="Ogre::MapIteratorWrapper::peekNextKey" ref="a0d526f75afc53f81358876237927bf54" args="(void) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MapIteratorWrapper.html#aba5a8ef400da4e0338f9b257727e9377">KeyType</a> <a class="el" href="classOgre_1_1MapIteratorWrapper.html">Ogre::MapIteratorWrapper</a>&lt; T, IteratorType &gt;::<a class="el" href="classOgre_1_1MapIteratorWrapper.html#a0d526f75afc53f81358876237927bf54">peekNextKey</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the next(=current) key element in the collection, without advancing to the next. </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00279">279</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00687">Ogre::RenderQueueGroup::merge()</a>.</p>

</div>
</div>
<a class="anchor" id="a2e53278aea844de2e45a0386596f4d7f"></a><!-- doxytag: member="Ogre::MapIteratorWrapper::peekNextValue" ref="a2e53278aea844de2e45a0386596f4d7f" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MapIteratorWrapper.html#a64c1d671b06f5048b9c2b93d51bda810">ValueType</a> <a class="el" href="classOgre_1_1MapIteratorWrapper.html">Ogre::MapIteratorWrapper</a>&lt; T, IteratorType &gt;::<a class="el" href="classOgre_1_1MapIteratorWrapper.html#a2e53278aea844de2e45a0386596f4d7f">peekNextValue</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the next(=current) value element in the collection, without advancing to the next. </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00286">286</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<a class="anchor" id="a31d2cda085c2efe14df9fb16918027e9"></a><!-- doxytag: member="Ogre::MapIteratorWrapper::peekNextValuePtr" ref="a31d2cda085c2efe14df9fb16918027e9" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1MapIteratorWrapper.html#ae8c56194816a6ebc9fd8005ed8c8cdde">PointerType</a> <a class="el" href="classOgre_1_1MapIteratorWrapper.html">Ogre::MapIteratorWrapper</a>&lt; T, IteratorType &gt;::<a class="el" href="classOgre_1_1MapIteratorWrapper.html#a31d2cda085c2efe14df9fb16918027e9">peekNextValuePtr</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns a pointer to the next/current value element in the collection, without advancing to the next afterwards. </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00294">294</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aecdc604f73f00133d4f934a94913b468"></a><!-- doxytag: member="Ogre::MapIteratorWrapper::mBegin" ref="aecdc604f73f00133d4f934a94913b468" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IteratorType <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, T::mapped_type  &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#aecdc604f73f00133d4f934a94913b468">mBegin</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00054">54</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab46be8c170cbc9046a81784b463534b9"></a><!-- doxytag: member="Ogre::MapIteratorWrapper::mCurrent" ref="ab46be8c170cbc9046a81784b463534b9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IteratorType <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, T::mapped_type  &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#ab46be8c170cbc9046a81784b463534b9">mCurrent</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00055">55</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

<p>Referenced by <a class="el" href="OgreIteratorWrapper_8h_source.html#l00301">Ogre::MapIteratorWrapper&lt; T, T::const_iterator &gt;::getNext()</a>, <a class="el" href="OgreIteratorWrapper_8h_source.html#l00279">Ogre::MapIteratorWrapper&lt; T, T::const_iterator &gt;::peekNextKey()</a>, <a class="el" href="OgreIteratorWrapper_8h_source.html#l00286">Ogre::MapIteratorWrapper&lt; T, T::const_iterator &gt;::peekNextValue()</a>, and <a class="el" href="OgreIteratorWrapper_8h_source.html#l00294">Ogre::MapIteratorWrapper&lt; T, T::const_iterator &gt;::peekNextValuePtr()</a>.</p>

</div>
</div>
<a class="anchor" id="ad6beeb6fcd8840f4fcb30b3363c3552d"></a><!-- doxytag: member="Ogre::MapIteratorWrapper::mEnd" ref="ad6beeb6fcd8840f4fcb30b3363c3552d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IteratorType <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, T::mapped_type  &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#ad6beeb6fcd8840f4fcb30b3363c3552d">mEnd</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00056">56</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:58
</p>
</body>
</html>
